package com.ruoyi.business.state.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 调查问卷模板对象 t_state_model
 * 
 * @author Duke_yzl
 * @date 2023-06-26
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("t_state_model")
public class StateModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模板序号 */
    @TableId
    private Long modelId;
    /** 模版名称 */
    @Excel(name = "模版名称")
    private String modelName;
    /** 模板类型 */
    @Excel(name = "模板类型")
    private String modelType;
    /** 部门 */
    @Excel(name = "部门")
    private Long deptId;

    @TableField(exist = false)
    private String deptName;
    /** 下发状态 */
    private String status;

    @TableField(exist = false)
    private List<StateModelForm> modelForms;

}
