package com.ruoyi.business.test.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 学生对象 test_students
 * 
 * @author Duke_yzl
 * @date 2025-02-18
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("test_students")
public class TestStudents extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学生ID */
    @TableId
    private Long studentId;
    /** 学生姓名 */
    @Excel(name = "学生姓名")
    private String name;
    /** 学生年龄 */
    @Excel(name = "学生年龄")
    private Long age;
    /** 性别 */
    @Excel(name = "性别")
    private String gender;
    /** 专业 */
    @Excel(name = "专业")
    private String major;
    /** 入学日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入学日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date enrollmentDate;
    /** 学生成绩信息 */
    @TableField(exist = false)
    private List<TestStudentsScores> testStudentsScoresList;


    public List<TestStudentsScores> getTestStudentsScoresList()
    {
        return testStudentsScoresList;
    }

    public void setTestStudentsScoresList(List<TestStudentsScores> testStudentsScoresList)
    {
        this.testStudentsScoresList = testStudentsScoresList;
    }


}
