package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * mqtt用户对象 sys_mqtt_user
 * 
 * @author Duke_yzl
 * @date 2023-06-30
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("sys_mqtt_user")
public class SysMqttUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** mqtt 主键 */
    @TableId
    private Long id;
    /** Mqtt客户端用户名 */
    @Excel(name = "Mqtt客户端用户名")
    private String username;
    /** Mqtt客户端密码 明文 */
    @Excel(name = "Mqtt客户端密码 明文")
    private String passwordHash;
    /** Mqtt客户端密码盐 未使用 */
    @Excel(name = "Mqtt客户端密码盐 未使用")
    private String salt;
    /** Mqtt客户端是否为超级用户 */
    @Excel(name = "Mqtt客户端是否为超级用户")
    private Long isSuperuser;


}
