package com.ruoyi.system.service;

import com.ruoyi.system.domain.SysNotice;
import com.ruoyi.system.domain.vo.NoticeSendUserVo;
import com.ruoyi.system.domain.vo.SysNoticeVo;

import java.util.List;

/**
 * 公告 服务层
 * 
 * @author ruoyi
 */
public interface ISysNoticeService
{
    /**
     * 查询公告信息
     * 
     * @param noticeId 公告ID
     * @return 公告信息
     */
    public SysNotice selectNoticeById(Long noticeId);

    /**
     * 查询公告列表
     * 
     * @param notice 公告信息
     * @return 公告集合
     */
    public List<SysNotice> selectNoticeList(SysNotice notice);

    /**
     * 新增公告
     * 
     * @param notice 公告信息
     * @return 结果
     */
    public boolean insertNotice(SysNotice notice);

    /**
     * 修改公告
     * 
     * @param notice 公告信息
     * @return 结果
     */
    public boolean updateNotice(SysNotice notice);

    /**
     * 删除公告信息
     * 
     * @param noticeId 公告ID
     * @return 结果
     */
    public boolean deleteNoticeById(Long noticeId);
    
    /**
     * 批量删除公告信息
     * 
     * @param noticeIds 需要删除的公告ID
     * @return 结果
     */
    public boolean deleteNoticeByIds(Long[] noticeIds);

    /**
     * 下发消息
     * @param noticeSendUserVo
     * @return
     */
    public boolean sendMessageToUser(NoticeSendUserVo noticeSendUserVo);

    /**
     * 根据用户查询消息
     * @param userId
     * @return
     */
    public List<SysNoticeVo> selectNoticeByUserId(Long userId);

    /**
     * 根据用户id 消息id 修改已读状态
     * @param userId
     * @param noticeId
     * @return
     */
    public boolean editNoticeByUserId(Long userId,Long noticeId);
}
