import request from '@/utils/request'

// 查询调查问卷模板列表
export function listStateModel(query) {
  return request({
    url: '/business/stateModel/list',
    method: 'get',
    params: query
  })
}

// 查询调查问卷模板详细
export function getStateModel(modelId) {
  return request({
    url: '/business/stateModel/' + modelId,
    method: 'get'
  })
}

// 新增调查问卷模板
export function addStateModel(data) {
  return request({
    url: '/business/stateModel',
    method: 'post',
    data: data
  })
}

// 修改调查问卷模板
export function updateStateModel(data) {
  return request({
    url: '/business/stateModel',
    method: 'put',
    data: data
  })
}

// 删除调查问卷模板
export function delStateModel(modelId) {
  return request({
    url: '/business/stateModel/' + modelId,
    method: 'delete'
  })
}
