import request from '@/utils/request'

// 查询学生成绩列表
export function listStudentsScores(query) {
  return request({
    url: '/business/studentsScores/list',
    method: 'get',
    params: query
  })
}

// 查询学生成绩详细
export function getStudentsScores(scoreId) {
  return request({
    url: '/business/studentsScores/' + scoreId,
    method: 'get'
  })
}

// 新增学生成绩
export function addStudentsScores(data) {
  return request({
    url: '/business/studentsScores',
    method: 'post',
    data: data
  })
}

// 修改学生成绩
export function updateStudentsScores(data) {
  return request({
    url: '/business/studentsScores',
    method: 'put',
    data: data
  })
}

// 删除学生成绩
export function delStudentsScores(scoreId) {
  return request({
    url: '/business/studentsScores/' + scoreId,
    method: 'delete'
  })
}
