import request from '@/utils/request'

// 查询mqtt用户列表
export function listMqttUser(query) {
  return request({
    url: '/system/mqttUser/list',
    method: 'get',
    params: query
  })
}

// 查询mqtt用户详细
export function getMqttUser(id) {
  return request({
    url: '/system/mqttUser/' + id,
    method: 'get'
  })
}

// 新增mqtt用户
export function addMqttUser(data) {
  return request({
    url: '/system/mqttUser',
    method: 'post',
    data: data
  })
}

// 修改mqtt用户
export function updateMqttUser(data) {
  return request({
    url: '/system/mqttUser',
    method: 'put',
    data: data
  })
}

// 删除mqtt用户
export function delMqttUser(id) {
  return request({
    url: '/system/mqttUser/' + id,
    method: 'delete'
  })
}
